Subject: Re: Help: 'Some' Anonymous users kicked off !

From: Craig Stratton <[email-masked]>
Date: Thu, 24 Oct 1996 20:49:58 +0100 ()

On Thu, 24 Oct 1996 14:58:22 -0400 (EDT) "Peter C. Norton" <[email-masked]> 
wrote:

> On Thu, 24 Oct 1996, Paul Taylor wrote:
> > Hi All
> > 
> > We are having a VERY strange problem.
> > 
> > An anonymous user (on a PPP dialup) can't connect via anonymous ftp. 
> > He enters anonymous and his email as password (just as normal) and 
> > then he gets the message 'Connection closed by remote host'.
> 
> Are you launching ftpd from tcpd?  If you have tcp_wrappers configured to
> verify that a hosts A and PTR records match, then it'll drop a connection
> that doesn't.
> 
> --
> Faster isn't better.  Better is better.
> 
> [email-masked] 

I tried connecting to him from a few different ftp clients on a 
few different pc's, some with reverse dns and some without and got 
through every time.
Sorry it's not much help, but it takes the reverse look up out of 
the equation.
----------------------
Craig Stratton
[email-masked]

---

From: [email-masked] (Koos van den Hout _U nix and we all_)
Date: Thu, 24 Oct 1996 22:49:14 +0200 (MET DST)

> Sorry it's not much help, but it takes the reverse look up out of 

tcp_wrappers _checks_ whether the name found on a reverse lookup gives the
same IP number.

So I connect with 10.0.0.2, tcp_wrapper does a lookup and finds host1.arpa
and then checks whether host1.arpa resolves to 10.0.0.2

So the only time this fails is when a machine _does_ have a reverse DNS
entry but it doesn't match.

                                                  Grtx KH

-- 
  Koos van den Hout,     Internetter, Unix freak, ISFJ and BBS SysOp at large
  [email-masked] (Home)        BBS Koos z'n Doos (+31-30-6036637 28k8)
  [email-masked] (Work)  <-- finger -l for PGPkey    (+31-30-6056619 14k4)
  http://www.hvu.nl/~koos (WWW)    Looking for a license plate with "RFC 822"
  Unix op z'n NL's : Segment overtreding - kern uitgescheten       KH106-RIPE